Page MenuHomePhabricator

Instrument revised *link* edit workflows
Closed, ResolvedPublicJul 22 2019

Description

Task overview

This task represents the work involved with instrumenting the revised adding/modifying links workflow in VE.

Measurements

The events we would like to be able to track in order to measure the efficacy of Edit Cards are listed in the "Measurements" section of our Measurement Plan/Edit Cards doc.

"Done"

  • The instrumentation required for us to be able to log the events in in the "Measurements" section of our Measurement Plan/Edit Cards doc have been implemented.

Details

Due Date
Jul 22 2019, 7:00 AM
Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterExtra logging for link inspectors

Event Timeline

ppelberg created this task.Apr 17 2019, 3:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2019, 3:42 PM
ppelberg renamed this task from Edit card: implement workflow instrumentation to Edit cards: implement workflow instrumentation .Apr 17 2019, 9:42 PM
ppelberg renamed this task from Edit cards: implement workflow instrumentation to Edit cards: implement adding/modifying links instrumentation .
ppelberg renamed this task from Edit cards: implement adding/modifying links instrumentation to Edit cards: instrument revised "adding/modifying links" flow.
ppelberg reassigned this task from ppelberg to DLynch.May 2 2019, 8:21 PM
ppelberg updated the task description. (Show Details)
ppelberg renamed this task from Edit cards: instrument revised "adding/modifying links" flow to Instrument revised *link* edit workflows.Jul 5 2019, 5:02 PM
ppelberg updated the task description. (Show Details)
ppelberg set Due Date to Jul 23 2019, 7:00 AM.
ppelberg added a subscriber: nshahquinn-wmf.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJul 5 2019, 5:02 PM

Update: 3 July

The events we would like to be able to track are now listed in Measurement Plan/Edit Cards.

Next up

  • @Neil_P._Quinn_WMF/@DLynch to review measurements with these questions in mind:
    • Are we able to track the events currently listed in the doc?
    • Would implementing logging for any of these events add complexity to the extent that implementing them will risk us not meeting our 23 July deploy date goal? If so, which one(s)?

Next up

  • @Neil_P._Quinn_WMF/@DLynch to review measurements with these questions in mind:
    • Are we able to track the events currently listed in the doc?
    • Would implementing logging for any of these events add complexity to the extent that implementing them will risk us not meeting our 23 July deploy date goal? If so, which one(s)?

We're working on this now.

Change 521296 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Extra logging for link inspectors

https://gerrit.wikimedia.org/r/521296

Change 521296 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Extra logging for link inspectors

https://gerrit.wikimedia.org/r/521296

JTannerWMF changed Due Date from Jul 23 2019, 7:00 AM to Jul 9 2019, 7:00 AM.Jul 9 2019, 11:20 PM
JTannerWMF changed Due Date from Jul 9 2019, 7:00 AM to Jul 22 2019, 7:00 AM.Jul 10 2019, 12:41 AM
ppelberg closed this task as Resolved.Jul 19 2019, 2:07 AM